API V1 · Projects
Get project details
curl --request GET \ --url https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL \ --header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL';const options = {method: 'GET', headers: {Authorization: 'Bearer YOUR_API_KEY'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer YOUR_API_KEY")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL") .get() .addHeader("Authorization", "Bearer YOUR_API_KEY") .build();
Response response = client.newCall(request).execute();<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_API_KEY', ],]);
echo $response->getBody();require 'uri'require 'net/http'
url = URI("https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL")
http = Net::HTTP.new(url.host, url.port)http.use_ssl = true
request = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer YOUR_API_KEY'
response = http.request(request)puts response.read_bodyusing System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL"), Headers = { { "Authorization", "Bearer YOUR_API_KEY" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}Retrieves detailed information for a specific project, including its title, description, configured locales, owner, and HATEOAS links to related resources such as the project’s resource files.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”WorkspaceUrl
ProjectUrl
Responses
Section titled “Responses”Successfully returns the project details.
Detailed information about a localization project including its locales, owner, and HATEOAS links.
object
The title of the project.
Email address of the project’s owner.
Project description.
The list of locale codes configured for the project.
Timestamp when the project was created.
Timestamp when the project was last updated.
HATEOAS links for navigating to related resources (e.g. project resources, status).
object
Examples
A project with three locales
ProjectDetails
{ "title": "Frontend", "description": null, "links": [ { "rel": "self", "href": "https://api.lingohub.com/v1/lingohub-demo/projects/gl-ios" }, { "rel": "resources", "href": "https://api.lingohub.com/v1/lingohub-demo/projects/gl-ios/resources" } ], "owner_email": "demo@lingohub.com", "project_locales": [ "en", "de", "zh-Hant" ], "created_at": "2024-05-13T13:49:38.000+00:00", "updated_at": "2024-07-01T13:25:21.000+00:00"}Unauthorized: Authentication credentials are missing or invalid.
object
Example generated
{ "url": "example", "message": "example", "text": "example"}Forbidden: The authenticated user does not have permission to view this project.
object
Example generated
{ "url": "example", "message": "example", "text": "example"}Not Found: The specified workspace or project does not exist.
object
Example generated
{ "url": "example", "message": "example", "text": "example"}